Download it now!
Bug 48914 - uninstall process should remove .pyc files from install directory
Summary: uninstall process should remove .pyc files from install directory
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other Windows (All)
: medium normal
Assignee: Andras Timar
URL:
Whiteboard: target:3.6.0 target:3.5.5
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-19 02:08 UTC by Andras Timar
Modified: 2012-05-18 03:45 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Timar 2012-04-19 02:08:59 UTC
When the LibreOffice program directory is writable by the user - typical on Windows XP - Python creates .pyc files in LibreOffice install directory. These .pyc files are not removed by uninstall process, because it removes only those files, which were installed, or if there is a custom action to remove them.

Write a custom action, which runs during uninstall, finds all .pyc files in the install directory, and deletes them. 

Custom actions live here: http://opengrok.libreoffice.org/xref/core/setup_native/source/win32/customactions/

I can help with integraton into the installer, the goal of this easy hack is to develop a function (C++, Win32 API) that finds and deletes all .pyc files under a given directory.
Comment 1 Andras Timar 2012-05-15 10:41:34 UTC
I changed my mind. It will be solved with the RemoveFiles table of MSI.
Comment 2 Not Assigned 2012-05-16 00:15:56 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7e90e00f1499eaf4139ed53c2b896f4b4fc73fe5

fdo#48914 uninstall process should remove .pyc files from install directory
Comment 3 Not Assigned 2012-05-18 03:45:19 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=86d1dc9737a73e2034fb60e09c820b4fee64d83a&g=libreoffice-3-5

fdo#48914 uninstall process should remove .pyc files from install directory


It will be available in LibreOffice 3.5.5.